Loading...
Searching...
No Matches
rotate_copy.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::rotate_copy_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O , typename P = identity> requires forward_iterator<I> && sentinel_for<S, I> && weakly_incrementable<O> && indirectly_copyable<I, O>
constexpr rotate_copy_result< I, O > | ranges::rotate_copy (I first, I middle, S last, O out)
| function template `rotate_copy`
template<typename Rng , typename O , typename P = identity> requires range<Rng> && weakly_incrementable<O> && indirectly_copyable<iterator_t<Rng>, O>
constexpr rotate_copy_result< borrowed_iterator_t< Rng >, O > | ranges::rotate_copy (Rng &&rng, iterator_t< Rng > middle, O out)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.